# Generated by Django 2.2.11 on 2020-05-19 14:55

import uuid
from enum import Enum

import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
import enumfields.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('dataimport', '0006_revision_state'),
    ]

    operations = [
        migrations.CreateModel(
            name='Worker',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('slug', models.CharField(max_length=100)),
                ('type', enumfields.fields.EnumField(enum=Enum('MLToolType', ''), max_length=50)),
                ('repository', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='workers',
                    to='dataimport.Repository'
                )),
            ],
            options={
                'unique_together': {('slug', 'repository')},
            },
        ),
        migrations.CreateModel(
            name='WorkerVersion',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('configuration', django.contrib.postgres.fields.jsonb.JSONField()),
                ('revision', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dataimport.Revision')),
                ('worker', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dataimport.Worker')),
            ],
            options={
                'unique_together': {('worker', 'revision')},
            },
        ),
    ]
