SELECT "documents_corpus"."created",
       "documents_corpus"."updated",
       "documents_corpus"."id",
       "documents_corpus"."name",
       "documents_corpus"."description",
       "documents_corpus"."repository_id",
       "documents_corpus"."top_level_type_id",
       "documents_corpus"."public",
       "documents_corpus"."indexable"
FROM "documents_corpus"
WHERE "documents_corpus"."id" = '{corpus_id}'::uuid
LIMIT 21;

SELECT COUNT(*) AS "__count"
FROM "documents_element"
WHERE ("documents_element"."corpus_id" = '{corpus_id}'::uuid
       AND "documents_element"."corpus_id" = '{corpus_id}'::uuid);

SELECT "documents_element"."id",
       "documents_element"."created",
       "documents_element"."updated",
       "documents_element"."corpus_id",
       "documents_element"."type_id",
       "documents_element"."name",
       "documents_element"."zone_id",
       "documents_element"."worker_version_id",
       "documents_corpus"."created",
       "documents_corpus"."updated",
       "documents_corpus"."id",
       "documents_corpus"."name",
       "documents_corpus"."description",
       "documents_corpus"."repository_id",
       "documents_corpus"."top_level_type_id",
       "documents_corpus"."public",
       "documents_corpus"."indexable",
       "documents_elementtype"."id",
       "documents_elementtype"."corpus_id",
       "documents_elementtype"."slug",
       "documents_elementtype"."display_name",
       "documents_elementtype"."folder",
       "documents_elementtype"."indexable"
FROM "documents_element"
INNER JOIN "documents_corpus" ON ("documents_element"."corpus_id" = "documents_corpus"."id")
INNER JOIN "documents_elementtype" ON ("documents_element"."type_id" = "documents_elementtype"."id")
WHERE ("documents_element"."corpus_id" = '{corpus_id}'::uuid
       AND "documents_element"."corpus_id" = '{corpus_id}'::uuid)
ORDER BY "documents_element"."corpus_id" ASC,
         "documents_elementtype"."slug" ASC,
         "documents_element"."name" ASC,
         "documents_element"."id" ASC
LIMIT 20;

SELECT "images_zone"."id",
       "images_zone"."created",
       "images_zone"."updated",
       "images_zone"."image_id",
       "images_zone"."polygon"::bytea,
       "images_image"."id",
       "images_image"."created",
       "images_image"."updated",
       "images_image"."server_id",
       "images_image"."path",
       "images_image"."width",
       "images_image"."height",
       "images_image"."hash",
       "images_image"."status",
       "images_imageserver"."id",
       "images_imageserver"."display_name",
       "images_imageserver"."url",
       "images_imageserver"."s3_bucket",
       "images_imageserver"."s3_region",
       "images_imageserver"."max_width",
       "images_imageserver"."max_height",
       "images_imageserver"."created",
       "images_imageserver"."updated",
       "images_imageserver"."validated",
       "images_imageserver"."read_only"
FROM "images_zone"
INNER JOIN "images_image" ON ("images_zone"."image_id" = "images_image"."id")
INNER JOIN "images_imageserver" ON ("images_image"."server_id" = "images_imageserver"."id")
WHERE "images_zone"."id" IN {zone_param}
